[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBCtrls' (#lcl)

# TDBMemo.Create

Constructor for the class instance.

## Declaration

Source position: dbctrls.pp line 1023

`public constructor TDBMemo.Create(`
`TheOwner: TComponent`
`); override;`

## Arguments

`TheOwner` |  | Owner for the class instance.

## Description

Create is the overridden constructor for the class instance. Create calls the inherited constructor, and allocates resources for the internal TFieldDataLink instance used in the class. The DataChange and UpdateData methods are assigned as the OnDataChange and OnUpdateData event handlers in the TFieldDataLink instance. Create sets the default values for the ControlStyle and AutoDisplay properties.

## See also

TDBMemo.DataChange |  | DataChange - if Data changed, loads the new data into the appropriate part of the Field.
TDBMemo.UpdateData |  | UpdateData - if data changed, copy new text via the datalink.
TDBMemo.AutoDisplay |  | AutoDisplay - if True, automatically displays the data when loaded from the linked dataset.
TFieldDataLink.OnDataChange |  | Event handler signalled when the field data link has been changed.
TFieldDataLink.OnUpdateData |  | OnUpdateData - event handler for updating any pending changes in the data.
TCustomMemo.Create |  | Constructor for the class instance.
TControl.ControlStyle |  | Contains style flags which control the features or behaviors enabled for the control.